"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Loader = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const Loader = _ref => {
  let {} = _ref;
  const flipAnim = new _reactNative.Animated.Value(0);
  const spinAnim = new _reactNative.Animated.Value(0);
  (0, _react.useEffect)(() => {
    startFlipAnimation();
    startSpinAnimation();
  }, []);
  const startFlipAnimation = () => {
    _reactNative.Animated.loop(_reactNative.Animated.timing(flipAnim, {
      toValue: 1,
      duration: 2000,
      easing: _reactNative.Easing.linear,
      useNativeDriver: true
    })).start();
  };
  const startSpinAnimation = () => {
    _reactNative.Animated.loop(_reactNative.Animated.timing(spinAnim, {
      toValue: 1,
      duration: 1000,
      easing: _reactNative.Easing.linear,
      useNativeDriver: true
    })).start();
  };
  const flip = flipAnim.interpolate({
    inputRange: [0, 0.49, 0.5, 1],
    outputRange: [1, 1, -1, -1]
  });
  const spin = spinAnim.interpolate({
    inputRange: [0, 1],
    outputRange: ['0deg', '360deg']
  });
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [styles.loader, {
      transform: [{
        scaleX: flip
      }]
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Animated.View, {
    style: [styles.rotatingBall, {
      transform: [{
        rotate: spin
      }, {
        translateX: -24
      }]
    }]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.centerCircle
  })));
};
exports.Loader = Loader;
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#ffff',
    alignItems: 'center',
    justifyContent: 'center',
    zIndex: 999
  },
  loader: {
    width: 100 - 24,
    height: 50,
    justifyContent: 'center',
    alignItems: 'center'
  },
  rotatingBall: {
    position: 'absolute',
    width: 20,
    height: 20,
    borderRadius: 10,
    backgroundColor: '#572364',
    zIndex: 999
  },
  centerCircle: {
    position: 'absolute',
    width: 48,
    height: 48,
    borderRadius: 24,
    backgroundColor: '#2FD9A9'
  }
});
//# sourceMappingURL=Loader.js.map