"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DeUnaNavigate = DeUnaNavigate;
exports.NavigationContainerS = NavigationContainerS;
exports.TabNavigation = void 0;
var _react = _interopRequireWildcard(require("react"));
var _bottomTabs = require("@react-navigation/bottom-tabs");
var _reactNative = require("react-native");
var _stack = require("@react-navigation/stack");
var _InformacionSabiasQue = require("./InformacionSabiasQue");
var _ValorPagar = require("./ValorPagar");
var _VistaPreviaValoPagar = require("./VistaPreviaValoPagar");
var _ConfirmarTransaccion = require("./ConfirmarTransaccion");
var _native = require("@react-navigation/native");
var _FontAwesome = _interopRequireDefault(require("react-native-vector-icons/FontAwesome"));
var _RouteCamara = require("./componetsQr/RouteCamara");
var _AuthContext = require("../context/Auth/AuthContext");
var _tokenValidator = require("../utility/tokenValidator");
var _ContactosPagar = require("./ContactosPagar");
var _Loader = require("./Loader");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function NavigationContainerS(_ref) {
  let {
    componentes
  } = _ref;
  return /*#__PURE__*/_react.default.createElement(_native.NavigationContainer, null, componentes);
}
function DeUnaNavigate(_ref2) {
  let {
    componentes,
    tok,
    pasarToken
  } = _ref2;
  const {
    cargarToken,
    setDataBank
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  const [, setValidateTokenJwt] = _react.default.useState(false);
  const [isLoader, setIsLoader] = _react.default.useState(false);
  const validateToken = async token => {
    setIsLoader(true);
    const validToken = await (0, _tokenValidator.tokenValidator)(token);
    console.log(validToken);
    if (token == null || validToken === false) {
      pasarToken(null);
      setValidateTokenJwt(false);
      setIsLoader(false);
    } else {
      pasarToken(token);
      setValidateTokenJwt(true);
      cargarToken(token);
      setDataBank(validToken.data);
      setIsLoader(false);
    }
  };
  (0, _react.useEffect)(() => {
    validateToken(tok);
  }, [tok]);
  if (isLoader) {
    return /*#__PURE__*/_react.default.createElement(_Loader.Loader, {
      testID: ''
    });
  }
  const Stack = (0, _stack.createStackNavigator)();
  return /*#__PURE__*/_react.default.createElement(Stack.Navigator, {
    initialRouteName: "Tabs",
    screenOptions: {
      headerShown: false
    }
  }, /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "Prueba"
  }, () => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "SEE"))), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "Tabs"
  }, () => {
    return /*#__PURE__*/_react.default.createElement(TabNavigation, {
      componentes: componentes
    });
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "InformacionCard"
  }, () => {
    return /*#__PURE__*/_react.default.createElement(_InformacionSabiasQue.InformacionSabiasQue, null);
  }), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "PayRecibe"
  }, () => /*#__PURE__*/_react.default.createElement(_ValorPagar.ValorPagar, null)), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "Confirmacion"
  }, () => /*#__PURE__*/_react.default.createElement(_VistaPreviaValoPagar.VistaPreviaValoPagar, null)), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "ConfirmarTransaccion"
  }, () => /*#__PURE__*/_react.default.createElement(_ConfirmarTransaccion.ConfirmarTransaccion, null)), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "CamaraQrNavigate"
  }, () => /*#__PURE__*/_react.default.createElement(_RouteCamara.RouteCamaraQr, null)), /*#__PURE__*/_react.default.createElement(Stack.Screen, {
    name: "ContactosPagar"
  }, () => /*#__PURE__*/_react.default.createElement(_ContactosPagar.ContactosPagar, null)));
}
const TabNavigation = _ref3 => {
  let {
    componentes
  } = _ref3;
  const {
    token
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  const Tab = (0, _bottomTabs.createBottomTabNavigator)();
  return /*#__PURE__*/_react.default.createElement(Tab.Navigator, {
    screenOptions: {
      headerShown: false
    }
  }, componentes && componentes.map(item => /*#__PURE__*/_react.default.createElement(Tab.Screen, {
    key: item.name,
    name: item.name,
    listeners: {
      tabPress: async () => {
        if (token) {
          if (token == null || !(await (0, _tokenValidator.tokenValidator)(token))) {
            console.log("se volvio indefinido" + token);
          }
        }
      }
    },
    options: {
      tabBarLabel: item.icono.label,
      tabBarIcon: _ref4 => {
        let {
          color,
          size
        } = _ref4;
        return /*#__PURE__*/_react.default.createElement(_FontAwesome.default, {
          name: item.icono.name,
          size: size,
          color: color
        });
      }
    }
  }, () => /*#__PURE__*/_react.default.createElement(item.component, item.prop))));
};
exports.TabNavigation = TabNavigation;
//# sourceMappingURL=TabNavigation.js.map