"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ValorPagarQr = void 0;
var _reactNative = require("react-native");
var _react = _interopRequireWildcard(require("react"));
var _sendTransaccion = require("../../hooks/sendTransaccion");
var _dataQr = _interopRequireDefault(require("./dataqr/dataQr.json"));
var _native = require("@react-navigation/native");
var _Loader = require("../Loader");
var _AuthContext = require("../../context/Auth/AuthContext");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ValorPagarQr = () => {
  var _route$params;
  const navigate = (0, _native.useNavigation)();
  const route = (0, _native.useRoute)();
  const [loader, setloader] = (0, _react.useState)(false);
  const {
    dataBank
  } = (0, _react.useContext)(_AuthContext.AuthContext);
  console.log((_route$params = route.params) === null || _route$params === void 0 ? void 0 : _route$params.data);
  const debit = _dataQr.default;
  (0, _react.useEffect)(() => {
    console.log(dataBank);
    if (dataBank) {
      debit.data.debtor.customer.fullName = dataBank.customer.fullName;
      debit.data.debtor.customer.documentNumber = dataBank.customer.documentNumber;
      debit.data.debtor.customer.documentType = dataBank.customer.documentType;
      debit.data.debtor.customer.customerId = dataBank.customer.customerId;
      debit.data.debtor.account.accountId = dataBank.account.accountId;
    }
  }, [dataBank]);
  const send = async data => {
    try {
      componentWillMount();
      const res = await (0, _sendTransaccion.sendTransaccion)(data);
      navigate.navigate("ConfirmarTransaccion", {
        dataTransaccion: {
          "datosDebtor": {
            ...data
          },
          "datosDocument": {
            ...res.data
          }
        }
      });
      setloader(false);
    } catch (err) {
      console.log(err.response.data);
      setloader(false);
    }
    {
      /*
      const sign = new Sign(data, "https://api-test.pichincha.com/payment-execution/v2/direct-transfers", uid);
      const XApigeeCredentials = "ZkdlUk5HYXFtMFdKQ2ZtdG85a25hUFNSNWVhRDlBaG86dVNjR2ZkeGg1VlRMZElPeA==";
      const signature = sign.getSignature();
      const headers = {
      "X-Apigee-Credentials": XApigeeCredentials,
      "X-Device-IP": "200.10.89.34",
      "X-Guid": uid,
      "X-Device": "29xp3L6xJCaTSmWsQHsIsIqiyoU7Z0Az+EfYl2Bq5e0=",
      "X-Session": "3e80ddc9-29fb-4c99-b82e-403287fe4ce5",
      "X-Signature": signature,
      }
      console.log(headers)
      axios.post("https://api-test.pichincha.com/payment-execution/v2/direct-transfers", data, { headers: headers }).then((res) => {
      componentWillMount();
      navigate.navigate("ConfirmarTransaccion", { dataTransaccion: { "datosDebtor": { ...data }, "datosDocument": { ...res.data } } })
      setloader(false)
      }).catch((err) => {
      console.log(err.response.data);
      setloader(false)
      })
      }
      */
    }
  };
  const accountbind = account => {
    const accountbin = account.substring(0, 3) + '*****' + account.substring(7, 10);
    return accountbin;
  };
  function componentWillMount() {
    setTimeout(() => {
      setloader(false);
    }, 3000);
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.containerVistaPrevia
  }, loader ? /*#__PURE__*/_react.default.createElement(_Loader.Loader, {
    testID: "Loader"
  }) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.containerVistaPrevia
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Para "), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.nombre
  }, debit.data.creditor.customer.fullName), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Cuenta de Ahorros "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, accountbind(debit.data.debtor.account.accountId))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Valor"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.contenedorSeccion
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.ValorPagar
  }, debit.data.transaction.amount)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Desde"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.titulo
  }, "AHO"), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.parrafos
  }, "Cuenta de ahorros "), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.parrafos
  }, debit.data.debtor.account.accountId)), /*#__PURE__*/_react.default.createElement(_reactNative.View, null)), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: styles.encabezados
  }, "Descripcion"), /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    style: styles.input,
    placeholder: "\xBFQue estas pagando? (Opcional)",
    maxLength: 40
  }), /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    testID: "continue",
    onPress: () => {
      send(debit);
      setloader(true);
    },
    style: styles.Btncontinuar
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, null, "Pagar"))));
};
exports.ValorPagarQr = ValorPagarQr;
const styles = _reactNative.StyleSheet.create({
  card: {
    marginTop: 10,
    margin: 20
  },
  icon: {
    fontSize: 24
  },
  container: {
    backgroundColor: '#FFFFFF',
    width: '100%',
    height: 80,
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
    padding: 13,
    boxShadow: 'inset 1em 1em gold',
    shadowColor: '#000',
    borderRadius: 10,
    shadowOffset: {
      width: 0,
      height: 2
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5
  },
  titulo: {
    fontWeight: 'bold',
    color: 'black',
    fontSize: 17
  },
  parrafos: {
    fontWeight: 'bold',
    fontSize: 13
  },
  textoEncabezado: {
    fontWeight: 'bold',
    fontSize: 20
  },
  encabezado: {
    width: '100%'
  },
  input: {
    backgroundColor: '#FFFFFF',
    borderStyle: 'solid',
    borderColor: 'black',
    padding: 10
  },
  Btncontinuar: {
    width: '100%',
    backgroundColor: '#FFDD00',
    padding: 15,
    marginTop: 35,
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center'
  },
  nombre: {
    fontSize: 19,
    fontWeight: 'bold',
    color: 'black'
  },
  containerVistaPrevia: {
    flex: 1,
    padding: 35,
    width: '100%',
    backgroundColor: '#FFFFFF',
    // CAMBIAR LA ALTURA LA 100% DE LA PANTALLA
    height: 650
  },
  encabezados: {
    fontWeight: 'bold',
    fontSize: 16,
    paddingTop: 10,
    paddingBottom: 10
  },
  contenedorSeccion: {
    padding: 8
  },
  ValorPagar: {
    fontSize: 36,
    fontWeight: 'bold',
    color: 'black'
  }
});
//# sourceMappingURL=ValorPagarQr.js.map